<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FakturPenjualanThermal" pageWidth="226" pageHeight="311" columnWidth="186" leftMargin="20" rightMargin="20" topMargin="0" bottomMargin="20" uuid="a2df3313-596d-4d46-87d2-a5f759d9613c">
	<property name="ireport.zoom" value="2.3579476910000023"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="76"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["DI Tronic"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="idPenjualan" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[new Integer(1)]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select *,
(select count(id_barang) from ar_inv_det  where ar_id = $P{idPenjualan}) as jml_item,
case when isnumeric(disc) then disc else '0' end::double precision as diskon_item
from fn_rpt_print_penjualan($P{idPenjualan}) as (id bigint, no_faktur varchar, tgl_faktur varchar, no_so varchar, nama_gudang varchar, nama_customer varchar,
alamat_customer varchar, kota_customer varchar, telp_hp varchar, nama_expedisi varchar, jt_tempo varchar, ket_faktur text, ket_pembayaran text, status_bayar text,
nama_sales varchar, ar_disc varchar, ar_disc_rp double precision, nett double precision, plu varchar, nama_barang varchar, qty double precision, satuan varchar, unit_price double precision, disc varchar, ppn double precision,
biaya double precision, sub_total double precision, keterangan varchar, disiapkan_oleh varchar, dibuat_oleh varchar, diperiksa_oleh varchar, diterima_oleh varchar, biaya_lain double precision, bayar double precision, time_ins timestamp without time zone)]]>
	</queryString>
	<field name="id" class="java.lang.Long"/>
	<field name="no_faktur" class="java.lang.String"/>
	<field name="tgl_faktur" class="java.lang.String"/>
	<field name="no_so" class="java.lang.String"/>
	<field name="nama_gudang" class="java.lang.String"/>
	<field name="nama_customer" class="java.lang.String"/>
	<field name="alamat_customer" class="java.lang.String"/>
	<field name="kota_customer" class="java.lang.String"/>
	<field name="telp_hp" class="java.lang.String"/>
	<field name="nama_expedisi" class="java.lang.String"/>
	<field name="jt_tempo" class="java.lang.String"/>
	<field name="ket_faktur" class="java.lang.String"/>
	<field name="ket_pembayaran" class="java.lang.String"/>
	<field name="status_bayar" class="java.lang.String"/>
	<field name="nama_sales" class="java.lang.String"/>
	<field name="ar_disc" class="java.lang.String"/>
	<field name="ar_disc_rp" class="java.lang.Double"/>
	<field name="nett" class="java.lang.Double"/>
	<field name="plu" class="java.lang.String"/>
	<field name="nama_barang" class="java.lang.String"/>
	<field name="qty" class="java.lang.Double"/>
	<field name="satuan" class="java.lang.String"/>
	<field name="unit_price" class="java.lang.Double"/>
	<field name="disc" class="java.lang.String"/>
	<field name="ppn" class="java.lang.Double"/>
	<field name="biaya" class="java.lang.Double"/>
	<field name="sub_total" class="java.lang.Double"/>
	<field name="keterangan" class="java.lang.String"/>
	<field name="disiapkan_oleh" class="java.lang.String"/>
	<field name="dibuat_oleh" class="java.lang.String"/>
	<field name="diperiksa_oleh" class="java.lang.String"/>
	<field name="diterima_oleh" class="java.lang.String"/>
	<field name="biaya_lain" class="java.lang.Double"/>
	<field name="bayar" class="java.lang.Double"/>
	<field name="time_ins" class="java.sql.Timestamp"/>
	<field name="jml_item" class="java.lang.Long"/>
	<field name="diskon_item" class="java.lang.Double"/>
	<variable name="totQty" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{qty}]]></variableExpression>
	</variable>
	<variable name="totBiaya" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{biaya}]]></variableExpression>
	</variable>
	<variable name="totSubTotal" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{qty}*$F{unit_price}]]></variableExpression>
	</variable>
	<variable name="nomor" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{nama_barang}]]></variableExpression>
	</variable>
	<variable name="totItem" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{nama_barang}]]></variableExpression>
	</variable>
	<variable name="idxRow" class="java.lang.Number" resetType="Page" calculation="Count">
		<variableExpression><![CDATA[$F{nama_barang}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="83" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="186" height="11" uuid="e060ba01-f971-4d1b-b1e7-b14db6cf0028"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="11" width="186" height="27" uuid="2c0f6ea1-fb68-4066-92cb-4f193cfc5f4a"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{alamat1}+"\n"+
$P{alamat2}+"\n"+
$P{telp}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="18" y="48" width="118" height="10" uuid="a1e3c144-8576-4a4d-b8ab-615017412fce"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[": "+$F{no_faktur}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="48" width="18" height="10" uuid="839faeba-64fc-4b33-b48a-d1bbfe5fb665"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="58" width="18" height="10" uuid="268d64a7-bd15-45cd-9e28-4d8168bbcc1a"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[Kasir]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="68" width="18" height="10" uuid="8d0f13fb-101b-4f3a-87f7-f6e5d82af475"/>
				<box>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
				</box>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[Pel.]]></text>
			</staticText>
			<textField>
				<reportElement x="18" y="58" width="118" height="10" uuid="a6ec2a95-d7c3-4bcc-b27c-55f21cadd85e"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[": "+$F{dibuat_oleh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="18" y="68" width="168" height="10" uuid="b02b0a83-0819-427a-b1c6-857fd6a79d38"/>
				<box>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
				</box>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[": "+$F{nama_customer}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="136" y="48" width="50" height="10" uuid="a326a2fb-cc01-4616-8b6f-7b778012dae7"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{time_ins}]]></textFieldExpression>
			</textField>
			<textField pattern="HH:mm">
				<reportElement x="136" y="58" width="50" height="10" uuid="c5f83811-0fbf-408f-b093-6d6dbb46f95a"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{time_ins}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="186" height="10" uuid="b39bfe13-6922-4206-a8bd-24fd6c803755"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_barang}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="0" y="10" width="30" height="10" uuid="185fa71e-9faf-4725-af90-78c231d503c3"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="30" y="10" width="30" height="10" uuid="4b8f55f6-c719-4da0-ae48-02f51693f3b7"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{satuan} +" x "]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="60" y="10" width="47" height="10" uuid="df27fd4b-e5dc-4a86-9b03-3769ee7aa827"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{unit_price}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="10" width="11" height="10" uuid="e8d66ceb-aec6-4b6e-879f-29ccc8c917f0"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="10" width="68" height="10" uuid="bbf99cc1-f40b-4f64-9cbe-ee8c6a4adb9b"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}*$F{unit_price}]]></textFieldExpression>
			</textField>
		</band>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[$F{diskon_item} > 0]]></printWhenExpression>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement x="60" y="0" width="47" height="10" uuid="1b6c4521-a71c-4d10-8545-07e719bd32bd"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{diskon_item}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="0" width="60" height="10" uuid="33006f7d-b045-4f23-9deb-5fb0a41dc8c0"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<text><![CDATA[Diskon]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="0" width="68" height="10" uuid="f03e086c-b568-48b2-a21f-b4f6983f81e8"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{sub_total}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="0" width="11" height="10" uuid="81014a07-2b6f-47aa-b7c8-74137dc9f8c5"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="95" splitType="Stretch">
			<textField pattern="#,##0.00">
				<reportElement x="118" y="0" width="68" height="10" uuid="011ec2c5-62c5-4706-840f-5f70d2e97757"/>
				<box>
					<pen lineWidth="1.25" lineStyle="Double"/>
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Double"/>
					<bottomPen lineWidth="0.0" lineStyle="Double"/>
					<rightPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totSubTotal}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="0" width="107" height="10" uuid="68985566-2347-4f3b-8bc7-3cd2345e8699"/>
				<box>
					<topPen lineWidth="1.25" lineStyle="Double"/>
				</box>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[Total]]></text>
			</staticText>
			<textField>
				<reportElement x="107" y="0" width="11" height="10" uuid="4f3796f1-6677-42bd-a3ee-398eeff947fe"/>
				<box>
					<topPen lineWidth="1.25" lineStyle="Double"/>
				</box>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="10" width="68" height="10" uuid="f4cf5fd9-465f-4324-bcfb-46db888e9611"/>
				<box>
					<pen lineWidth="1.25" lineStyle="Double"/>
					<topPen lineWidth="0.0" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Double"/>
					<bottomPen lineWidth="0.0" lineStyle="Double"/>
					<rightPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ar_disc_rp}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="10" width="11" height="10" uuid="cfac3e83-3f46-4f06-ab02-7627e1d65051"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="10" width="107" height="10" uuid="9abdf1ff-53bb-4d10-8600-4aea7f0772bf"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[Total Diskon]]></text>
			</staticText>
			<textField>
				<reportElement x="107" y="20" width="11" height="10" uuid="4dc0a492-7447-4c6e-afc3-162cc8690fe3"/>
				<textElement>
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="20" width="68" height="10" uuid="a7f13c76-e654-4061-a0cc-59a8859406b9"/>
				<box>
					<pen lineWidth="1.25" lineStyle="Double"/>
					<topPen lineWidth="0.0" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Double"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right">
					<font size="7" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nett}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="20" width="107" height="10" uuid="12a5d532-1744-4895-9678-3aebdf9648e5"/>
				<textElement>
					<font size="7" isBold="true"/>
				</textElement>
				<text><![CDATA[Grand Total]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="30" width="68" height="10" uuid="98137ddf-269e-4786-802a-9b2ea2b689f9"/>
				<box>
					<pen lineWidth="1.25" lineStyle="Double"/>
					<topPen lineWidth="0.0" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Double"/>
					<bottomPen lineWidth="0.0" lineStyle="Double"/>
					<rightPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bayar}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="30" width="11" height="10" uuid="9ddca80c-9ba7-4de3-9fde-45caf382ea18"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="30" width="107" height="10" uuid="56d4eaaa-0706-42ef-91ce-0e4185db6137"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<text><![CDATA[Bayar]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement x="118" y="40" width="68" height="10" uuid="ecb86c6d-8091-4756-8cea-6852f65e2078"/>
				<box>
					<pen lineWidth="1.25" lineStyle="Double"/>
					<topPen lineWidth="0.0" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Double"/>
					<bottomPen lineWidth="0.0" lineStyle="Double"/>
					<rightPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[Math.abs($F{bayar}- $F{nett})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="40" width="11" height="10" uuid="635865d4-3da5-4650-85ad-76b391091d22"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["="]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="68" width="186" height="27" uuid="dbb83077-c915-4cbf-907b-2590420d90d3"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA["Barang yang sudah dibeli tidak dapat dikembalikan\n"+
"Kecuali dengan perjanjian"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="40" width="107" height="10" uuid="69f29080-c285-405f-b74a-4c314d754dc3"/>
				<box>
					<bottomPen lineWidth="0.0" lineStyle="Double"/>
				</box>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bayar}- $F{nett}>=0?"Kembali": "Kekurangan"]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
